* {
  position: relative;
  user-select: none;
}

html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  width: 100vw;
  height: 100%;
  background-color: var(--primary-colour);
  overflow-x: hidden;
}

/* width */
::-webkit-scrollbar {
  width: 0px;
}

/* Track */
::-webkit-scrollbar-track {
  background: var(--primary-colour);
}

.header {
  width: 100vw;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  background: var(--primary-colour);
}

.logo {
  font-family: 'Righteous' !important;
}

a.logo {
  position: relative;
  display: flex;
  justify-content: left;
  width: auto;
  /* height: 300px; */
  font-size: 14em;
  text-decoration: none;
  color: var(--comp-colour);
  z-index: 10;
  animation: logoAppear 1s;
  animation-fill-mode: forwards;
  animation-delay: 0.75s;
  opacity: 0;
}

@keyframes logoAppear {
  from {letter-spacing: 6px; transform: scale(0.9); opacity: 0;}
  to {letter-spacing: auto; transform: scale(1); opacity: 1;}
}

/* 
@keyframes logoAppear {
  0% {transform: scale(0.9); color: var(--primary-colour);}
  17% {transform: scale(0.9); color: var(--primary-colour);}
  18% {transform: scale(0.9); color: var(--comp-colour);}
  80% {transform: scale(0.9); color: var(--comp-colour);}
  100% {transform: scale(1); color: var(--comp-colour);}
} */
/* 
a.logo::after {
  content: "";
  position: absolute;
  background: var(--primary-colour);
  width: 100%;
  height: 0;
  border-right: 5px solid var(--comp-colour);
  animation: slider var(--main-anim-dur) 0.2s;
  animation-delay: 0.75s;
}

@keyframes slider {
  0% {width: 100%; height: 0%}
  15% {width: 100%; height: 90%}
  60% {width: 0%; height: 90%;}
  76% {width: 0%; height: 0%}
  100% {width: 0%; height: 0%}
} */

.nav {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50vw;
  list-style: none;
  margin: 0;
  padding: 0;
}

.nav li {
  width: fit-content;
  min-width: 190px;
  margin: 0 1em;
  animation: slideUp 0.5s ease backwards;
}

@keyframes slideUp {
  from {position: relative;
        top: 50px;
        opacity: 0;}
  to {position: relative;
      top: 0px;
      opacity: 1;}
}

.nav li:nth-child(1) {
  animation-delay: 0.55s;
}

.nav li:nth-child(2) {
  animation-delay: 0.6s;
}

.nav li:nth-child(3) {
  animation-delay: 0.65s;
}

.nav li:nth-child(4) {
  animation-delay: 0.7s;
}

.nav a {
  width: 100%;
  display: inline-block;
  padding: 0.8em;
  color: var(--comp-colour);
  text-decoration: none;
  font-family: 'Roboto', sans-serif;
  border: 2px solid var(--comp-colour);
  border-radius: 10px;
  transition: all 0.2s;
  text-align: center;
  box-sizing: border-box;
  outline: 0px solid var(--comp-colour);
  font-size: 100%;
}

.nav a:hover {
  background: var(--comp-colour);
  color: var(--primary-colour);
  outline-width: 2px;
  outline-offset: 4px;
  border-radius: 5px;
}

.nav a:active {
  transform: scale(0.9);
}

#benson-section {
  background: #111218;
  padding: 20vh 10vw;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  position: relative;
}

#benson-section .section-title {
  font-size: 3em;
  color: var(--comp-colour);
  font-family: 'Montserrat', sans-serif;
  margin: 0;
}

#benson-section .section-description {
  font-size: 1.5em;
  color: var(--body-text-colour);
  font-family: 'Open Sans', sans-serif;
  width: 50%;
  margin: 2em 0;
}

.benson-logo {
  font-family: 'Montserrat', sans-serif;
}

#benson-section .section-button {
  display: inline-block;
  margin: 1em 0;
  padding: 0.8em 1.5em;
  color: var(--comp-colour);
  text-decoration: none;
  font-family: 'Roboto', 'Titillium Web','Open Sans', sans-serif;
  border-radius: 10px;
  transition: all 0.2s;
  text-align: center;
  box-sizing: border-box;
  box-shadow: #707070 0 0 0 1px inset;
  font-size: 100%;
}

#benson-section .section-button:hover {
  box-shadow: #fff 0 0 0 2px inset;
}

#benson-section .section-button svg {
  position: relative;
  top: 2px;
  left: 2px;
  transition: all 0.2s;
}

#benson-section .section-button:hover > svg {
  transform: translateX(5px);
}

.more-options {
  position: absolute;
  bottom: 5vh;
  display: flex;
  align-items: center;
  justify-content: center;
  list-style: none;
  margin: 0;
  padding: 0;
}

.more-options li {
  color: rgb(88, 88, 88);
  margin: 0 7px;
  animation: slideUp 0.5s ease backwards;
  animation-delay: 1s;
}

/* 
.more-options li:nth-child(1) {
  animation-delay: 0.95s;
}

.more-options li:nth-child(2) {
  animation-delay: 1s;
}

.more-options li:nth-child(3) {
  animation-delay: 1.05s;
} */

.more-options a {
  color: rgb(88, 88, 88);
  text-decoration: none;
  font-family:  'Roboto', 'Titillium Web','Open Sans', sans-serif;
  transition: 0.2s;
}

.more-options a:hover {
  color: rgb(105, 105, 105);
}

@media screen and (max-width: 800px) {
  a.logo {
    font-size: 11em;
  }

  .nav {
    flex-wrap: wrap;
    width: 80vw;
  }

  .nav li {
    margin: 10px;
    width: 35%;
  }
}

@media screen and (max-width: 510px) {
  a.logo {
    font-size: 9em;
  }

  .nav {
    flex-wrap: wrap;
    width: 80vw;
  }

  .nav li {
    margin: 10px;
    width: 35%;
  }
}

@media screen and (max-width: 400px) {
  a.logo {
    font-size: 5em;
  }
  
  .nav {
    margin-top: 5vh;
    width: 50vw;
  }

  .header {
    justify-content: center;
    height: 85vh;
  }

  #benson-section {
    padding: 10vh 5vw;
    align-items: center;
  }

  #benson-section .section-title {
    font-size: 2.2em;
    text-align: center;
  }

  #benson-section .section-description {
    font-size: 1.2em;
    width: 100%;
    text-align: center;
  }
}